/*********************************************************************
 * QLIP (c) 1998 Jonathan Hudson & Richard Zidlicky
 * 
 * This code is part of the uqlx QDOS emulator for Unix
 *
 * This file is outside the uqlx copyright and may be freely copied,
 * used and modified for any non-commercial purpose.
 *
 ********************************************************************/


#ifdef IPDEV

#include <sys/types.h>
#include <sys/socket.h>
#include <arpa/inet.h>

typedef struct
{
  int status;  /* 0 OK, -1 check connection(async), -2 error */
  int lerrno;
  int sock;
  struct sockaddr_in name;
} ipdev_t;


int ip_init(int );
int ip_test(int,char *);
int ip_open(int, void **);
int ip_close(int id, ipdev_t *priv);
void ip_io(int id, ipdev_t *priv);


#endif
